Page MenuHomePhabricator

Collapsing Flow side rail - sticky user preference for open/collapsed
Closed, ResolvedPublic1 Story Points

Description

When a logged-in user interacts with the display/collapse for the side rail, the last interaction sets a hidden user preference that sticks with that user until they interact with the display/collapse again.

This is similar to other hidden user preferences on Flow -- sorting (new topics/recently active topics), and VE/source entry fields.

Event Timeline

DannyH created this task.Apr 27 2015, 11:30 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2015, 11:30 PM
DannyH set Security to None.Apr 27 2015, 11:30 PM
DannyH edited a custom field.
Catrope raised the priority of this task from Normal to High.Jun 1 2015, 11:56 PM
SBisson claimed this task.Jun 2 2015, 4:50 PM

Change 215387 had a related patch set uploaded (by Sbisson):
Store side rail state in user preferences

https://gerrit.wikimedia.org/r/215387

Change 215387 merged by jenkins-bot:
Store side rail state in user preferences

https://gerrit.wikimedia.org/r/215387

Checked with Safari 8.0.6, FF 38.0.1, and Chrome.

DannyH added a comment.Jun 9 2015, 1:24 AM

Works on Beta

DannyH closed this task as Resolved.Jun 9 2015, 1:25 AM